using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_YongHu_ShangChuanTouXiang_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除用户头像", "网站后台", "删除用户头像", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("48");

        String[] IDS = Request.QueryString["ID"].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

        for (int i = 0; i < IDS.Length; i++)
            删除用户头像(Convert.ToInt32(IDS[i]));

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("删除用户头像", 访问.用户["昵称"].ToString());

        Response.Redirect(Request.QueryString["rurl"]);
    }

    private void 删除用户头像(int ID)
    {
        String 图片位置;
        SqlCommand 语句 = new SqlCommand("SELECT [图片位置] FROM [" + 程序.数据表前缀 + "社区_用户_头像] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            图片位置 = Convert.ToString(读取["图片位置"]);
        else
        {
            读取.Close();
            return;
        }
        读取.Close();

        if (File.Exists(Server.MapPath(图片位置)))
            File.Delete(Server.MapPath(图片位置));

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_用户_头像] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
    }
}
